
set( cetlib_VERSION 3.05.00 )
set( cetlib_UPS_VERSION v3_05_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/cetlib/v3_05_00/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/cetlib/v3_05_00/Modules")
endif()



## find_library directives
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( cetlib_except v1_01_00 )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
set(CETLIB "$ENV{CETLIB_LIB}/libcetlib.dylib")
  include_directories ( "$ENV{CETLIB_INC}" )
  set( CETLIB_CETSKEL_BASICPLUGINCOMMON_PM $ENV{CETLIB_DIR}/perllib/CetSkel/BasicPluginCommon.pm )

check_required_components(cetlib)

